Bug 233939 - sysutils/rubygem-fluentd update to 0.12.43
Summary: sysutils/rubygem-fluentd update to 0.12.43
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-11 17:31 UTC by Artyom Davidov
Modified: 2019-01-24 23:12 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
Update patch (983 bytes, patch)
2018-12-11 17:31 UTC, Artyom Davidov
ard_1: maintainer-approval? (kuriyama)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Artyom Davidov 2018-12-11 17:31:16 UTC
Created attachment 200045 [details]
Update patch

Update fluentd to the latest old stable version 0.12.43
Comment 1 Palle Girgensohn freebsd_committer 2019-01-24 16:35:54 UTC
Is there a point in updating it to an "old" version? 0.12? Is there any reason to keep the old 0.12.x around?

1.3.3 is the latest version.
Comment 2 Artyom Davidov 2019-01-24 21:50:48 UTC
(In reply to Palle Girgensohn from comment #1)
Hello Palle,

I'm totally agree that we should upgrade this port to the latest stable and recommended for production version that is 1.3.3.
The patch that I've proposed a month ago was meant to be used due to the missing gem dependencies for 1.3.3 in FreeBSD ports tree.
Since you've committed this additional ports IMHO there are no reasons to stick with 0.12.x branch.
As a side-note I can propose that one can create sysutils/rubygem-fluentd012 port with an "old stable" version if someone still need it. And deprecate it when upstream ends it's support.

As for me, I would prefer to upgrade to 1.3.3 than to stay on 0.12.43.
Comment 3 Palle Girgensohn freebsd_committer 2019-01-24 22:05:59 UTC
(In reply to Artyom Davidov from comment #2)

Excellent, so I suggest we close this, and wait a while for kuriyama to respond in 235179.

OK?

Palle
Comment 4 Artyom Davidov 2019-01-24 22:09:24 UTC
(In reply to Palle Girgensohn from comment #3)

Yes, sure.
Comment 5 Artyom Davidov 2019-01-24 22:14:56 UTC
The patch to upgrade to the latest stable and recommended for production version 1.3.3 was proposed.
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235179
Comment 6 commit-hook freebsd_committer 2019-01-24 22:58:52 UTC
A commit references this bug:

Author: girgen
Date: Thu Jan 24 22:58:01 UTC 2019
New revision: 491122
URL: https://svnweb.freebsd.org/changeset/ports/491122

Log:
  Update fluentd to version 1.3.3

  PR:             233939, 235179
  Releasenotes:   https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
  Reported by:	girgen, Artyom Davidov
  Submitted by:	girgen (myself)
  Approved by:	maintainer (timeout, 44 days)

Changes:
  head/sysutils/rubygem-fluentd/Makefile
  head/sysutils/rubygem-fluentd/distinfo
  head/sysutils/rubygem-fluentd/files/patch-gemspec
Comment 7 commit-hook freebsd_committer 2019-01-24 23:12:06 UTC
A commit references this bug:

Author: girgen
Date: Thu Jan 24 23:11:49 UTC 2019
New revision: 491124
URL: https://svnweb.freebsd.org/changeset/ports/491124

Log:
  Update fluentd to version 1.3.3

  PR:             233939, 235179
  Releasenotes:   https://github.com/fluent/fluentd/blob/master/CHANGELOG.md
  Submitted by:	Artyom Davidov

Changes:
  head/UPDATING